<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
include("varfun.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
if ($_POST['importe'] == ""){
echo alert_js("COMPLETE EL ABONO");
}else{
include('CXC10500_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=strtoupper($_POST["tap1"]);
	$varible_clase->pdescrip=strtoupper($_POST["tap2"]);
	$varible_clase->movimiento=strtoupper($_POST["movimiento"]);
	$varible_clase->cuenta=strtoupper($_POST["cuenta"]);
	$varible_clase->cheque=strtoupper($_POST["cheque"]);
	$varible_clase->proveedor=strtoupper($_POST["proveedor"]);
	$varible_clase->factura=strtoupper($_POST["factura"]);
	$fec = $_POST['fechaexp'];
	include('DF20000.php');
	$varible_clase->fecha_exp = $f_m;
	$fec = $_POST['fechacob'];
	include('DF20000.php');
	$varible_clase->fecha_cob = $f_m;
	$varible_clase->importe=strtoupper($_POST["importe"]);

	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=CXC10500_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){	 
		echo '<h2>NUEVO REGISTRO AGREGADO:'.$_POST['tap2'].'</h2>';
		echo '<meta content="1; url=CXC10500_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO</h2>';
		echo $res;
		echo '<meta content="5; url=CXC10500_PR.php" HTTP-EQUIV="REFRESH">';
	} 
	}   
?>
</body>
</html>